org.codehaus.groovy.util

## Class AbstractConcurrentMapBase

- java.lang.Object
- - org.codehaus.groovy.util.AbstractConcurrentMapBase

Direct Known Subclasses:
  AbstractConcurrentMap

    public abstract class AbstractConcurrentMapBase
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static interface` `AbstractConcurrentMapBase.Entry<V>`
`static class` `AbstractConcurrentMapBase.Segment`

### Field Summary

Fields
`protected static int` `MAXIMUM_CAPACITY`
`protected AbstractConcurrentMapBase.Segment[]` `segments`

### Constructor Summary

Constructors
Constructor and Description
`AbstractConcurrentMapBase(java.lang.Object segmentInfo)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract AbstractConcurrentMapBase.Segment` `createSegment(java.lang.Object segmentInfo, int cap)`
`int` `fullSize()`
`protected static <K> int` `hash(K key)`
`AbstractConcurrentMapBase.Segment` `segmentFor(int hash)`
`int` `size()`
`java.util.Collection` `values()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

See Also:
  Constant Field Values

#### segments

    protected final AbstractConcurrentMapBase.Segment[] segments

### Constructor Detail

#### AbstractConcurrentMapBase

    public AbstractConcurrentMapBase(java.lang.Object segmentInfo)

### Method Detail

#### createSegment

    protected abstract AbstractConcurrentMapBase.Segment createSegment(java.lang.Object segmentInfo,
                                                                       int cap)

#### hash

    protected static <K> int hash(K key)

#### segmentFor

    public AbstractConcurrentMapBase.Segment segmentFor(int hash)

#### fullSize

    public int fullSize()

#### size

    public int size()

#### values

    public java.util.Collection values()